Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions | Variables
df.h File Reference
`#include "H4api_adpt.h"`
`#include "hdf.h"`

## Data Structures
struct | DFddh
struct | DFdd
struct | DFdle
struct | DF
struct | DFdata

## Macros
#define | DFSETERR(error) (DFerror = (DFerror ? DFerror : error))
#define | DFTOFID(df) (int32)(df->list)

## Typedefs
typedef DFdd | DFdesc

## Functions
DF * | DFopen (char *name, int acc_mode, int ndds)
int | DFclose (DF *dfile)
int | DFdescriptors (DF *dfile, DFdesc ptr[], int begin, int num)
int | DFnumber (DF *dfile, uint16 tag)
int | DFsetfind (DF *dfile, uint16 tag, uint16 ref)
int | DFfind (DF *dfile, DFdesc *ptr)
int | DFaccess (DF *dfile, uint16 tag, uint16 ref, char *acc_mode)
int | DFstart (DF *dfile, uint16 tag, uint16 ref, char *acc_mode)
int32 | DFread (DF *dfile, char *ptr, int32 len)
int32 | DFseek (DF *dfile, int32 offset)
int32 | DFwrite (DF *dfile, char *ptr, int32 len)
int | DFupdate (DF *dfile)
int | DFstat (DF *dfile, DFdata *dfinfo)
int32 | DFgetelement (DF *dfile, uint16 tag, uint16 ref, char *ptr)
int32 | DFputelement (DF *dfile, uint16 tag, uint16 ref, char *ptr, int32 len)
int | DFdup (DF *dfile, uint16 itag, uint16 iref, uint16 otag, uint16 oref)
int | DFdel (DF *dfile, uint16 tag, uint16 ref)
uint16 | DFnewref (DF *dfile)
int | DFishdf (char *filename)
int | DFerrno (void)
int | DFIerr (DF *dfile)
int | DFImemcopy (char *from, char *to, int length)
void * | DFIgetspace (uint32 qty)
void * | DFIfreespace (void *ptr)
int | DFIc2fstr (char *str, int len)
char * | DFIf2cstring (_fcd fdesc, intn len)
int | DFconvert (uint8 *source, uint8 *dest, int ntype, int sourcetype, int desttype, int32 size)

## Variables
int | DFerror

## Macro Definition Documentation

## ◆ DFSETERR

#define DFSETERR | ( |  | error | ) | (DFerror = (DFerror ? DFerror : error))

## ◆ DFTOFID

#define DFTOFID | ( |  | df | ) | (int32)(df->list)

## Typedef Documentation

## ◆ DFdesc

typedef DFdd DFdesc

## Function Documentation

## ◆ DFaccess()

int DFaccess | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | acc_mode )
| extern

## ◆ DFclose()

int DFclose | ( | DF * | dfile | ) |
| extern

## ◆ DFconvert()

int DFconvert | ( | uint8 * | source,
|  | uint8 * | dest,
|  | int | ntype,
|  | int | sourcetype,
|  | int | desttype,
|  | int32 | size )
| extern

## ◆ DFdel()

int DFdel | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref )
| extern

## ◆ DFdescriptors()

int DFdescriptors | ( | DF * | dfile,
|  | DFdesc | ptr[],
|  | int | begin,
|  | int | num )
| extern

## ◆ DFdup()

int DFdup | ( | DF * | dfile,
|  | uint16 | itag,
|  | uint16 | iref,
|  | uint16 | otag,
|  | uint16 | oref )
| extern

## ◆ DFerrno()

int DFerrno | ( | void |  | ) |
| extern

## ◆ DFfind()

int DFfind | ( | DF * | dfile,
|  | DFdesc * | ptr )
| extern

## ◆ DFgetelement()

int32 DFgetelement | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | ptr )
| extern

## ◆ DFIc2fstr()

int DFIc2fstr | ( | char * | str,
|  | int | len )
| extern

## ◆ DFIerr()

int DFIerr | ( | DF * | dfile | ) |
| extern

## ◆ DFIf2cstring()

char * DFIf2cstring | ( | _fcd | fdesc,
|  | intn | len )
| extern

## ◆ DFIfreespace()

void * DFIfreespace | ( | void * | ptr | ) |
| extern

## ◆ DFIgetspace()

void * DFIgetspace | ( | uint32 | qty | ) |
| extern

## ◆ DFImemcopy()

int DFImemcopy | ( | char * | from,
|  | char * | to,
|  | int | length )
| extern

## ◆ DFishdf()

int DFishdf | ( | char * | filename | ) |
| extern

## ◆ DFnewref()

uint16 DFnewref | ( | DF * | dfile | ) |
| extern

## ◆ DFnumber()

int DFnumber | ( | DF * | dfile,
|  | uint16 | tag )
| extern

## ◆ DFopen()

DF * DFopen | ( | char * | name,
|  | int | acc_mode,
|  | int | ndds )
| extern

## ◆ DFputelement()

int32 DFputelement | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | ptr,
|  | int32 | len )
| extern

## ◆ DFread()

int32 DFread | ( | DF * | dfile,
|  | char * | ptr,
|  | int32 | len )
| extern

## ◆ DFseek()

int32 DFseek | ( | DF * | dfile,
|  | int32 | offset )
| extern

## ◆ DFsetfind()

int DFsetfind | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref )
| extern

## ◆ DFstart()

int DFstart | ( | DF * | dfile,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | acc_mode )
| extern

## ◆ DFstat()

int DFstat | ( | DF * | dfile,
|  | DFdata * | dfinfo )
| extern

## ◆ DFupdate()

int DFupdate | ( | DF * | dfile | ) |
| extern

## ◆ DFwrite()

int32 DFwrite | ( | DF * | dfile,
|  | char * | ptr,
|  | int32 | len )
| extern

## Variable Documentation

## ◆ DFerror

int DFerror
| extern